/**
 * SWE KEx-DatexII (de.bsvrz.kex.datex2)
 * 
 * Copyright (C) 2014 TraffGo Road GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * TraffGo Road GmbH
 * Ostwall 11-19
 * 47798 Krefeld
 * Phone: +49-2151-3295058
 * mailto: info@traffgoroad.de
 */

package de.bsvrz.kex.datex2.plugins.konvertierung.impl;

/**
 * Klasse zur Repräsentation einer ganzen Zeile einer Anzeige.
 * 
 * @author TraffGo Road GmbH
 * @version $Id$
 *
 */
public class AnzeigeZeile implements Comparable<AnzeigeZeile> {
  /** Id der Anzeige. */
	private String id;
	
	/** Zeilennummer. */
	private int zeilenNr;
	
	/**
	 * Konstruktor.
	 * 
	 * @param id Id der Anzeige
	 * @param zeilenNr Nummer der Zeile
	 */
	
	AnzeigeZeile(final String id, final int zeilenNr) {
		this.id = id;
		this.zeilenNr = zeilenNr;
	}
	
	/**
	 * Gebe Id der Anzeige zurück.
	 * 
	 * @return Id
	 */
	
	public String getId() {
	    return this.id;
	  }
	
	/**
	 * Gebe Zeilennummer zurück.
	 * 
	 * @return Zeilennummer
	 */
	
	public int getZeilenNr() {
	    return this.zeilenNr;
	  }

	/** 
	 * Definiere Ordnung auf AnzeigeZeilen über ZeilenNummber.
	 * 
	 *  @param anzeigeZeile Zeile, mit der verglichen werden soll.
	 *  @return siehe compareTo
	 */

	public int compareTo(final AnzeigeZeile anzeigeZeile) {
	    if (anzeigeZeile.getZeilenNr() == 0 && this.getZeilenNr() == 0) {
	        return 0;
	    }
	    if (this.getZeilenNr() < anzeigeZeile.getZeilenNr()) {
	        return -1;
	    } else {
	        return 1;
	    }
	  
	} 

}