/*
 * Plug-in KEx DATEX II - Baustellen
 * Copyright (C) 2018 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.datex2.plugins.konvertierung.impl;

import de.bsvrz.dav.daf.main.Data;
import de.bsvrz.dav.daf.main.ResultData;
import eu.datex2.schema.dynamisch.baustellen.SituationRecord;

/**
 * Daten Datex2-Baustelle Bauabschnitt.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: $
 */

public class Datex2SituationRecordBauabschnitt implements Datex2BaustelleExportIF {

	private static final String DAV_ATTRIBUTE_PREFIX = "Ba";
	private ResultData resultData;
	private Data data;

	/**
	 * Konstruktor.
	 * 
	 * @param resultData
	 *            {@link ResultData}
	 * @param data
	 *            {@link Data}
	 */
	public Datex2SituationRecordBauabschnitt(final ResultData resultData, final Data data) {
		this.resultData = resultData;
		this.data = data;
	}

	@Override
	public SituationRecord getSituationRecord() throws Datex2BaustelleException {
		return Datex2SituationRecordFactory.createSituationRecord(DAV_ATTRIBUTE_PREFIX, resultData, data)
				.getSituationRecord();
	}
}
